From 5184efcd8ee73d9ee312461e2bab3fbc8efb7260 Mon Sep 17 00:00:00 2001
From: ndgnuh <ndgnuh99@gmail.com>
Date: Sun, 28 Apr 2019 21:40:09 +0700
Subject: [PATCH] New package: ibus-bamboo-0.4.6

---
 srcpkgs/ibus-bamboo/template | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 srcpkgs/ibus-bamboo/template

diff --git a/srcpkgs/ibus-bamboo/template b/srcpkgs/ibus-bamboo/template
new file mode 100644
index 00000000000..e26667c0ff3
--- /dev/null
+++ b/srcpkgs/ibus-bamboo/template
@@ -0,0 +1,28 @@
+# Template file for 'ibus-bamboo'
+pkgname=ibus-bamboo
+version=0.4.6
+revision=1
+build_style=go
+go_import_path="github.com/BambooEngine/ibus-bamboo"
+go_package="github.com/BambooEngine/ibus-bamboo/src/ibus-bamboo"
+hostmakedepends="git"
+makedepends="libXtst-devel libX11-devel"
+depends="ibus"
+short_desc="Vietnamese input method for ibus"
+maintainer="ndgnuh <ndgnuh99@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/BambooEngine/ibus-bamboo"
+distfiles="https://${go_import_path}/archive/v${version}.tar.gz>${pkgname}-${version}.tar.gz"
+checksum="2345394fd1fd8de5a9f620f3775ab34c3233c16eb6a9ffe166e3ed6f1a31f1bb"
+_engine_dir="usr/share/ibus-bamboo/"
+_ibus_dir="usr/share/ibus"
+
+post_install() {
+	mkdir -p ${PKGDESTDIR}/${_engine_dir}
+	mkdir -p ${PKGDESTDIR}/usr/lib/
+	mkdir -p ${PKGDESTDIR}/${_ibus_dir}/component
+	mv ${PKGDESTDIR}/usr/bin/ibus-bamboo ${PKGDESTDIR}/usr/lib/ibus-engine-bamboo
+	cp -R -f viet-on.png data ${PKGDESTDIR}/${_engine_dir}
+	cp -f  bamboo.xml ${PKGDESTDIR}/${_ibus_dir}/component/
+	rm ${PKGDESTDIR}/usr/bin -d
+}
